Subject: Re: bug#5955: completions in M-x find-library include .elc files

From: Stefan Monnier <[email-masked]>
Date: Sat, 24 Jul 2010 00:59:59 +0200

> Typing TAB or ? in M-x find-library shows .el and .elc files when it
> probably should just be the name of the library without the extension.
>  Appears that this is a general problem with
> locate-file-completion-table in files.el.  It appears to put all files
> in to the completion table without condition.  The fix is just
> removing the first `push' operation.

I added the `push' because in load-library I often want to
select a particular file (i.e. either the .el or the .elc file).

        Stefan